# **Wiki: "Õpiabi" ürituste veebileht**

## **Ülevaade**

Käesolev projekt on loodud eesmärgil koondada kokku üritused, mis sobivad informaatika tudengite huvidega väljaspool koolitööd. Veebileht sisaldab sorteeri- ja navigatsioonifunktsioone, mis aitavad kasutajatel leida ja vaadata erinevaid sündmusi.


## **Failid**

/Õpipuhkus

`main.html` - Pealeht, mis sisaldab kõiki üritusi

`ööelu.html` - Vaheleht, mis sisaldab vastava teema üritusi.

`sport.html` - Vaheleht, mis sisaldab vastava teema üritusi.

`loodus.html` - Vaheleht, mis sisaldab vastava teema üritusi.

`mängud.html` - Vaheleht, mis sisaldab vastava teema üritusi.

`style.css` - Kujundusfail

`üritused.md` - Fail, kuhu on salvestatud kõik ürituste lingid ja nendega seotud pildid (lingi kujul)

sisaldab pilte, mida on kasutatud veebilehe loomisel.


## Funktsioonid

### HTML
1. `<header>` - kuvab pealkirjad (näiteks: kõik üritused)

2. `<nav>` - Sisaldab navigeerimisribasid, mis viivad erinevatele kategooriatele (nt "Kõik", "Ööelu", "Sport")

3. `<div>` class="container" - Sisaldab ürituste postitusi koos pealkirja, pildi, lühikirjelduse ja kuupäevaga.

4. Sorteerimisvalikud `<select>` ja `<button>`

- "Alustades hilisemast" (uuemad sündmused esimesena) ja "Alustades värskemast" (vanemad sündmused esimesena)
- Sorteerimisloogika põhineb sündmuste kuupäevadel, kasutades JavaScripti.


5. Iga sündmus on esitatud `<div class="post">` sees

- `data-date` - salvestab sündmuse kuupäeva sorteerimiseks.
- `<h2 class="event-title">` sisaldab sündmuse nime koos lingiga.

6. Kõik pildid on lingitud GitLabi üleslaadimise süsteemi kaudu.

7. JavaScripti Sorteerimislogika

- Sorteerimise loogika asub `<script>` tagi sees ja kasutab sündmuste kuupäevi `data-date`.


## Kasutusjuhend

### Avamine

1. Ava `main.html` brauserid, et näha veebilehe põhifunktsioone.
2. Kontrolli, et kõik lingid ja pildid töötavad ootuspäraselt.

### Ürituste sorteerimine

1. Valige sorteerimisvalikust `alustades hilisemast` või `alustades värskemast`.
2. Vajuta **sorteeri** nuppu, et kontrollida, kas sorteerimine toimib. 

### navigatsioon 

1. Kasuta navigeerimisriba `kõik`,`ööelu`, `sport`, `loodus`, `mängud` ja kontrolli, et kõik toimiks ootuspäraselt.

## Probleemid ja Tõrkeotsing

### Pildid ei ilmu

- Kontrolli, kas pildifailid asuvad õiges kaustas.

- Veendu, et viited vastavad failistruktuurile.

### Sorteerimine ei tööta

- Kontrolli, kas JavaScripti fail on õigesti lingitud.

- Veendu, et iga `<div class="post">` omab atribuuti ``data-date``.

- Kontrolli, et `data-date` väärtused oleksid õiged.

### Navigatsioonilingid ei tööta
- Kontrolli, kas HTML lehtede nimed vastavad navigeerimislingi `href` väärtustele.
- NB! Kontrolli, et HTMLi navigeerimislingi ees ei oleks `#`.

## Kasutajatugi

### Probleemi püsimise korral pöörduda halduri poole
- kaili.must@ut.ee




